### Property

# WebKit Settings:enable-fullscreen

#### Declaration

    property enable-fullscreen: gboolean [ read, write, construct ]

#### Description [src]

Whether to enable the Javascript Fullscreen API. The API allows any HTML element to request fullscreen display. See also the current draft of the spec: http://www.w3.org/TR/fullscreen/.

Type:`gboolean`

Default value | TRUE
Getter method | `webkit_settings_get_enable_fullscreen()`
Setter method | `webkit_settings_set_enable_fullscreen()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no